HamletImpl.EImp (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.webapp.hamlet2, class: HamletImpl, class: EImp

Package org.apache.hadoop.yarn.webapp.hamlet2

# Class HamletImpl.EImp<T extends HamletSpec.__>

java.lang.Object
org.apache.hadoop.yarn.webapp.hamlet2.HamletImpl.EImp<T>

Type Parameters:
  `T` - type of the parent (containing) element for the element

All Implemented Interfaces:
  `HamletSpec.__`, `HamletSpec._Child`

Direct Known Subclasses:
  `Hamlet.A`, `Hamlet.ABBR`, `Hamlet.ACRONYM`, `Hamlet.ADDRESS`, `Hamlet.AREA`, `Hamlet.B`, `Hamlet.BASE`, `Hamlet.BDO`, `Hamlet.BLOCKQUOTE`, `Hamlet.BODY`, `Hamlet.BR`, `Hamlet.BUTTON`, `Hamlet.CAPTION`, `Hamlet.CITE`, `Hamlet.CODE`, `Hamlet.COL`, `Hamlet.COLGROUP`, `Hamlet.DD`, `Hamlet.DEL`, `Hamlet.DFN`, `Hamlet.DIV`, `Hamlet.DL`, `Hamlet.DT`, `Hamlet.EM`, `Hamlet.FIELDSET`, `Hamlet.FORM`, `Hamlet.H1`, `Hamlet.H2`, `Hamlet.H3`, `Hamlet.H4`, `Hamlet.H5`, `Hamlet.H6`, `Hamlet.HEAD`, `Hamlet.HR`, `Hamlet.HTML`, `Hamlet.I`, `Hamlet.IMG`, `Hamlet.INPUT`, `Hamlet.INS`, `Hamlet.KBD`, `Hamlet.LABEL`, `Hamlet.LEGEND`, `Hamlet.LI`, `Hamlet.LINK`, `Hamlet.MAP`, `Hamlet.META`, `Hamlet.OBJECT`, `Hamlet.OL`, `Hamlet.OPTGROUP`, `Hamlet.OPTION`, `Hamlet.P`, `Hamlet.PARAM`, `Hamlet.PRE`, `Hamlet.Q`, `Hamlet.SAMP`, `Hamlet.SCRIPT`, `Hamlet.SELECT`, `Hamlet.SMALL`, `Hamlet.SPAN`, `Hamlet.STRONG`, `Hamlet.STYLE`, `Hamlet.SUB`, `Hamlet.SUP`, `Hamlet.TABLE`, `Hamlet.TBODY`, `Hamlet.TD`, `Hamlet.TEXTAREA`, `Hamlet.TFOOT`, `Hamlet.TH`, `Hamlet.THEAD`, `Hamlet.TITLE`, `Hamlet.TR`, `Hamlet.UL`, `Hamlet.VAR`, `HamletImpl.Generic`

Enclosing class:
  HamletImpl

public class HamletImpl.EImp<T extends HamletSpec.__> extends Object implements HamletSpec._Child
The base class for elements

- ## Method Summary

  Modifier and Type
  Method
  Description
  `T`
  `__()`
  Finish the current element.
  `protected void`
  `_endTag(boolean choice)`
  `protected void`
  `_inline(boolean choice)`
  `protected void`
  `_p(boolean quote, Object... args)`
  `protected void`
  `_pre(boolean choice)`
  `protected void`
  `_v(Class<? extends SubView> cls)`
  `protected void`
  `addAttr(String name, Object value)`
  `protected void`
  `addAttr(String name, String value)`
  `protected void`
  `addMediaAttr(String name, EnumSet<HamletSpec.Media> media)`
  `protected void`
  `addRelAttr(String name, EnumSet<HamletSpec.LinkType> types)`
  `protected void`
  `closeAttrs()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### __

    public T __()
    Description copied from interface: `HamletSpec._Child`
    Finish the current element.
    Specified by:
      `__` in interface `HamletSpec._Child`
    Returns:
      the parent element

  - ### _p

    protected void _p(boolean quote, Object... args)

  - ### _v

    protected void _v(Class<? extends SubView> cls)

  - ### closeAttrs

    protected void closeAttrs()

  - ### addAttr

    protected void addAttr(String name, String value)

  - ### addAttr

    protected void addAttr(String name, Object value)

  - ### addMediaAttr

    protected void addMediaAttr(String name, EnumSet<HamletSpec.Media> media)

  - ### addRelAttr

    protected void addRelAttr(String name, EnumSet<HamletSpec.LinkType> types)

  - ### _inline

    protected void _inline(boolean choice)

  - ### _endTag

    protected void _endTag(boolean choice)

  - ### _pre

    protected void _pre(boolean choice)